Skip to main content
POST
/
v1
/
projects
/
{project_id}
/
dataset
/
snapshots
/
{snapshot_version}
/
export
Post Snapshot Export
curl --request POST \
  --url https://api.landing.ai/v1/projects/{project_id}/dataset/snapshots/{snapshot_version}/export \
  --header 'Content-Type: application/json' \
  --data '{
  "retry": false
}'
import requests

url = "https://api.landing.ai/v1/projects/{project_id}/dataset/snapshots/{snapshot_version}/export"

payload = { "retry": False }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({retry: false})
};

fetch('https://api.landing.ai/v1/projects/{project_id}/dataset/snapshots/{snapshot_version}/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "data": {
    "downloadExpiresAt": "<string>",
    "downloadUrl": "<string>"
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Headers

apikey
string | null

Path Parameters

snapshot_version
integer
required
project_id
integer
required

Query Parameters

timeout
integer | null
default:60

Body

application/json
retry
boolean | null
default:false

Response

Successful Response

data
SnapshotExportItem · object | null
required